
		
var ResVal= Res[0000][0];

var initFloods;

var FullView = new ol.control.FullScreen();
var Zooming = new ol.control.Zoom();
var ZoomingSlide = new ol.control.ZoomSlider();
var Scaling = new ol.control.ScaleLine();

const BaseMap = new ol.layer.Tile({
				source: new ol.source.OSM()
			});

/*** This calls the layers from a remote geoserver where the pre-prepared spatial river and catchmanet data are hosted **/
/*** If you have a Geoserver running in your local computer you may change the parameter n the URL and Layers.****/ 
/*** Please refer to https://geoserver.org for detail information ***/ 
const OdawRiver = new ol.layer.Tile({
			source: new ol.source.TileWMS({
			url: 'http://131.220.111.122:8080/geoserver/Ghana_Accra/wms',
			  params: {
						'NAME': 'OdawRivers',
						'FORMAT': 'image/png',
						'LAYERS': 'Odaw_Hydr_24hr_BC_HQ1000_river,Odaw_and_sub_catchment',
						"exceptions": 'application/vnd.ogc.se_inimage',
					 tilesOrigin: 790475.9375 + "," + 609308.1875  
					},
			ratio: 1,
			serverType: 'geoserver',
			}),
		});	
		
/***Fetching Model results layer in GeoServer**/
initFloods = new ol.layer.Tile({
			
			source: new ol.source.TileWMS({
			url: 'http://131.220.111.122:8080/geoserver/Ghana_Accra/wms',
			  params: {
						'NAME': 'Floodmaps',
						'FORMAT': 'image/png',
						'LAYERS': ResVal,
						"exceptions": 'application/vnd.ogc.se_inimage',
					 tilesOrigin: 790475.9375 + "," + 609308.1875  
					},
			ratio: 1,
			serverType: 'geoserver',
			}),
		});
	
const map = new ol.Map({
  layers: [BaseMap, OdawRiver, initFloods],
  controls: [FullView, Zooming, ZoomingSlide, Scaling],
  target: 'map',
  view: new ol.View({
    center: ol.proj.fromLonLat([-0.227940, 5.664432]),
    zoom: 11.5,
  }),
});


